import { WifiScanAdapter } from "./common";
import { WifiFingerprint } from "./fingerprint";
import { Observable } from "rxjs";
export declare class WifiScanProvider {
    private adapter;
    constructor(adapter: WifiScanAdapter);
    isReady(): Promise<boolean>;
    prepare(): Promise<void>;
    acquireWifiFingerprint(ensureIsNew?: boolean): Promise<WifiFingerprint>;
    wifiFingerprintStream(options?: StreamOptions): Observable<WifiFingerprint>;
    private wifiFingerprintStreamWithoutDuplicates;
    private wifiFingerprintStreamWithDuplicates;
}
export interface StreamOptions {
    ensureAlwaysNew?: boolean;
    grouping?: FingerprintGrouping;
    interval?: number;
    continueOnFailure?: boolean;
}
export declare enum FingerprintGrouping {
    NONE = 1,
    INTERMEDIATE = 2,
    MAX = 4
}
